return {
    {
        "catppuccin/nvim",
        lazy = false,    -- make sure we load this during startup if it is your main colorscheme
        priority = 1000, -- make sure to load this before all the other start plugins
        name = "catppuccin"
    },
    {
        "nvim-telescope/telescope.nvim",
        branch = "0.1.x",
        dependencies = {
            { "nvim-telescope/telescope-fzf-native.nvim", build = "make" },
            "nvim-lua/plenary.nvim",
        }
    },
    {
        "hrsh7th/nvim-cmp",
        event = "InsertEnter",
        dependencies = {
            "hrsh7th/cmp-buffer",
            "hrsh7th/cmp-nvim-lsp",
            "hrsh7th/cmp-path",
        }
    },
    {
        "nvim-treesitter/nvim-treesitter",
        dependencies = {
            "nvim-treesitter/nvim-treesitter-context",
            "nvim-treesitter/nvim-treesitter-textobjects",
            "nvim-treesitter/playground",
        }
    },
    {
        "j-hui/fidget.nvim",
        tag = "legacy",
        event = "LspAttach",
        opts = {
            window = {
                blend = 0,
            },
        },
    },
    {
        "williamboman/mason.nvim",
        tag = "v1.6.2",
        opts = {},
    },
    {
        "windwp/nvim-autopairs",
        event = "InsertEnter",
        opts = {}
    },
    {
        "lukas-reineke/indent-blankline.nvim",
        tag = "v2.20.7",
        opts = {
            char = "▏",
            show_current_context = true,
            buftype_exclude = { "help" },
            filetype_exclude = { "alpha", "startify", "packer", "NvimTree" },
        }
    },
    {
        "stevearc/oil.nvim",
        tag = "v1.0.0",
        cmd = "Oil",
        opts = {
            keymaps = {
                ["g?"] = "actions.show_help",
                ["<CR>"] = "actions.select",
                ["<C-v>"] = "actions.select_vsplit",
                ["<C-s>"] = "actions.select_split",
                ["<C-t>"] = "actions.select_tab",
                ["<C-p>"] = "actions.preview",
                ["<C-c>"] = "actions.close",
                ["r"] = "actions.refresh",
                ["-"] = "actions.parent",
                ["_"] = "actions.open_cwd",
                ["`"] = "actions.cd",
                ["~"] = "actions.tcd",
                ["g."] = "actions.toggle_hidden",
            },
            use_default_keymaps = false,
        }
    },
    { "lukas-reineke/lsp-format.nvim", tag = "v2.5.1" },
    { "nvim-tree/nvim-web-devicons",   lazy = true },
    "L3MON4D3/LuaSnip",
    "hrsh7th/cmp-cmdline",
    "lewis6991/gitsigns.nvim",
    "neovim/nvim-lspconfig",
    "nvim-lualine/lualine.nvim",
    "onsails/lspkind.nvim",
}
