local wezterm = require 'wezterm'

return {
    font = wezterm.font 'JetBrainsMono Nerd Font Mono',
    color_scheme = 'Catppuccin Mocha',
    harfbuzz_features = { "zero" },
    front_end = "Software",
    use_fancy_tab_bar = true,
    window_padding = {
        left = 0,
        right = 0,
        top = 0,
        bottom = 0,
    },
    keys = {
        {
            key = '|',
            mods = 'CTRL|SHIFT',
            action = wezterm.action.SplitHorizontal,
        },
        {
            key = '"',
            mods = 'CTRL|SHIFT',
            action = wezterm.action.SplitVertical,
        },
        {
            key = 'h',
            mods = 'CTRL|SHIFT',
            action = wezterm.action.ActivatePaneDirection 'Left',
        },
        {
            key = 'j',
            mods = 'CTRL|SHIFT',
            action = wezterm.action.ActivatePaneDirection 'Down',
        },
        {
            key = 'k',
            mods = 'CTRL|SHIFT',
            action = wezterm.action.ActivatePaneDirection 'Up',
        },
        {
            key = 'l',
            mods = 'CTRL|SHIFT',
            action = wezterm.action.ActivatePaneDirection 'Right',
        },
        {
            key = '{',
            mods = 'CTRL|SHIFT',
            action = wezterm.action.ActivateTabRelative(-1),
        },
        {
            key = '}',
            mods = 'CTRL|SHIFT',
            action = wezterm.action.ActivateTabRelative(1),
        },
    },
}
